TAAS - Feature #400

Sale Module New Ul Without-Popup
10/23/2024 06:59 PM - Junaid M

Status: Reopen Bugs Start date: 10/23/2024
Priority: Normal Due date:
Assignee: Amal Ck % Done: 50%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By:
Time Taken(HH): Code Reviewed By:
Module: New Sale&Refund Module

Without-Popup
Description
History

#1 - 10/23/2024 07:04 PM - Junaid M

Requirement:—

Need new module for Sale, Refund without Items as Pop-up.

After Master tab, Ticket, Hotel, Other,....
Module Name: Sale (No Pop-Up), Need new Menu

#2 - 10/24/2024 03:10 PM - Junaid M

- Assignee changed from travvise Admin to Amal Ck

#3 - 10/28/2024 12:39 PM - Junaid M

Instead use tab.

- Subject changed from New Sale&Refund Module Without-Popup to New Sale Module Ul Without-Popup

#4 - 10/28/2024 12:40 PM - Junaid M

- Subject changed from New Sale Module Ul Without-Popup to Sale Module New Ul Without-Popup

#5 - 11/07/2024 09:37 AM - Amal Ck
- Status changed from New to Coding Started
- % Done changed from 0 to 30

#6 - 11/11/2024 02:55 PM - Amal Ck
- Status changed from Coding Started to Coding Done
- % Done changed from 30 to 60

#7 - 11/27/2024 10:15 AM - Arathy PS
- Status changed from Coding Done to New Changes

- % Done changed from 60 to 50

NEW CHANGES

1. In additional data section
--Add Submission Date: ...
--Add Customer Approve Status: ... Date: ...

2. Add field 'responsible staff' to 'responsible user drop down.

#8 - 12/04/2024 10:18 AM - Arathy PS
- File clipboard-202412041016-eztoj.png added

- Status changed from New Changes to Reopen Bugs
ISSUE FOUND

1. Error upon chaging an invoice master customer to an FOP.

Transfer Visa Package AR Sharing  ALPO

Invoice No | INV/004 o Date” | 04/12/2024 =] Branch™ | BRO01: Main
& oo Department” | DPOO1: Account
* | caso03 CASH NEW QAR v File No* =

Discount = | 0.00

Total Sale 4310.00
Narration Shared 0.00
4
Document Status™ | Active v B BT 431000
P U Active v By
c min(04/12/2024 10:07 AM)
Mod
Ticket/Voucher | Party
Q Search v Setal
Type Issue Date Ticket/Voucher  Service Provider Price Cost
1 Package 04/12/2024 PG/001 PKGO01: Package § 121000 120000
Ticket 04/12/2024 008 51905+ 40 Mile Ai 310000 3000.00

NEW CHANGES

1. In additional data section

--Add Submission Date: ...

--Add Customer Approve Status: ... Date: ...

2. Add field 'responsible staff' to 'responsible user drop down.

#9 - 12/05/2024 12:53 PM - Arathy PS

- Status changed from Reopen Bugs to New Changes

#10 - 12/07/2024 10:22 AM - Amal Ck
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

#11 - 12/11/2024 05:12 PM - Arathy PS
- Status changed from New Changes Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND
(done)1. When one of the item in a sale is refunded then while updating the sale the refunded status changes to sold status again. (Solution provided

by anil sir : while updating refunded and cancelled items status of them should remain the same)
2. Can edit, delete, print and attach in the documents after blocking them in user module previlage.

(done)Check

1. If Menu service sys name and global constant name is same.
2. Sys name on document no: focus out and after saving.
3. Sys name while redirection.

#12 - 12/19/2024 02:53 PM - Arathy PS
ISSUE FOUND

1.(Done) All the sub ledgers are showing for the accounts that are not the main account of the sub ledger.
2. Connect validation of credit limit of counter staff.

3. (cant regenerate)Error while using cheque number that is already used when FOP is received cheque.
4. (cant regenerate)No default data is showing in the no: of pax entry box

#13 - 12/30/2024 06:02 PM - Amal Ck

- Status changed from Reopen Bugs to New Changes

#14 - 01/02/2025 11:40 AM - Arathy PS
- Status changed from New Changes to Reopen Bugs

#15 - 01/02/2025 12:32 PM - Amal Ck
- Status changed from Reopen Bugs to New Changes

#16 - 01/22/2025 09:43 AM - Amal Ck
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

#17 - 01/29/2025 06:10 PM - Arathy PS
- File clipboard-202501291810-acOhw.png added
- Status changed from New Changes Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUND

(DONE)1. While trying to save sale with responsible staff.

invalid input syntax for type json

Master  Ticket Hotel Other Transfer Visa Package ARSharing ALPO

Invoice No o Date® | 29/01/2025 Q0 Branch™ | BROO1: Main
Against Doc & 0.00 0AR Department™ | DPOO1: Account
Customer/FOP* | Cus001 ANWAR IMAN BILLAL QAR v File No™ ~ Enguiry No™~
Sub Customer - Discount ~ | 0.00
Reference Total Sale 1220.00 Total Profit
Narration ) Shared 0.00 Outstanding
Document Status® | Active « oy Balance 122000
Posting Status” | Active v By
Created By:
Modiified By:
Ticket/Voucher = Party
Q Search v SetAll
# Type Issue Date Ticket/Voucher | Service Provider Price Cost profit
1 Ticket 29/01/2025 1009 1650P: Adria Airways 122000 120000 2000

#18 - 01/29/2025 06:25 PM - Amal Ck
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#19 - 02/04/2025 12:13 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

(FIXED)1. Voucher no:'s not showing in the report modules.

#20 - 02/25/2025 06:15 PM - Arathy PS
ISSUE FOUND

(FIXED)1. Voucher no:'s not showing in the report modules.
(FIXED)2. Quotation no: is not getting saved (missing in edit mode).

#21 - 03/03/2025 03:07 PM - Amal Ck
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#22 - 03/13/2025 12:22 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1. Supplier currency gets missing in edit mode (BSP Supplier, tried to do AP sharing)
2. On edit mode of AR sharing the while clicking update button it act as a new entry in the sharing.

Sale changes

--> In Sale Master Outstanding

e |f Sale FOP is Cash mod Set Outstanding 0.
e |f Sale FOP is not Cash mod Set Outstanding value as refresh/load icon. upon clicking icon fetch FOP account's Outstanding from transaction
table and show.

#23 - 03/22/2025 01:08 PM - Theja Ponon

Issue Found

1)On deleting the sale document data in voucher tabs are not clearing
(FIXED)2)lssue in AR sharing Tab

#24 - 03/28/2025 12:05 PM - Arathy PS
ISSUE FOUND

(CANT REGENRATE)1. While setting set fee not showing the fee based on what we choose in admin settings.

#25 - 04/08/2025 12:22 PM - Arathy PS
NEW CHANGE

1. While choosing e-mail in print then the mail ID provided in the master module of the account should be loaded here by default.

#26 - 04/08/2025 02:56 PM - Amal Ck

- Status changed from Reopen Bugs to New Changes

#27 - 05/02/2025 11:18 AM - Arathy PS
- File clipboard-202505021116-gu5va.png added

- Status changed from New Changes to Reopen Bugs

ISSUE FOUND

1. Validation for sector even though sector is already entered.

rraveL soLuTion PuT LTS
Master  Ticket Hotel Other Transfer Visa Package AR Sharing ALPO
Invoice No o Date™ | 25/04/2025 <] Branch™  BROO1: Main v
Against Doc I 0.00 QAR Department” | DPQO1: Account ~
Customer/FOP* | RCH003 Received Cheque Act As Client QAR v File No* ~ Enquiry No* ~
Customer ~ Discount = | 0.00
Referance Total Sale 1010.00 Total Profit 10.00
Narration Shared 0.00 Outstanding 1010.00
y
Document Status* | Active v By Belerss 101000
Posting Status™ | Active v By
. Created By:
Modified By:
Cheque No™ Date® | 4 (] Bank™  SetAl
Name On Cheque D No Deposit Date” | o
prd
Deposit Bank: RecoNo': Clear Date: Status Hold
Ticket/Voucher | Party
Q search ¥ SetAll T Q 8 @
#  Type Issue Date Ticket/Voucher | Service Provider Price Cost Profit UccF
1 Ticket 25/04/2025 w2 519Q5: 40 Mile Air 101000 1000.00 1000 0w B S W
Files

clipboard-202412041016-eztoj.png 130 KB 12/04/2024 Arathy PS

clipboard-202501291810-acOhw.png 126 KB 01/29/2025 Arathy PS

clipboard-202505021116-gu5va.png 182 KB 05/02/2025 Arathy PS
